:root {
    --color-azzurro: #229BCE;
    --color-magenta: #A91B5F;
    --color-giallo: #EBE826;
    --color-light: #E9F6FB;
    --sezione: 90px;
    --svg: 30px;
}

/* GENERAL */
.psb {
    padding-bottom: var(--sezione);
}

.pst {
    padding-top: var(--sezione);
}

.regular-svg, .icon-social {
    width: var(--svg);
    max-height: var(--svg);
    object-fit: contain;
}

.custom-wrapper {
    width: 90%;
    max-width: 1440px;
    margin: 0 auto;
    overflow: hidden;
}

.bg-magenta {
    background-color: var(--color-magenta) !important;
}

.bg-azzurro {
    background-color: var(--color-azzurro) !important;
}

.bg-light {
    background-color: var(--color-light) !important;
}

.text-magenta {
    color: var(--color-magenta) !important;
}

.text-azzurro {
    color: var(--color-azzurro) !important;
}

.text-giallo {
    color: var(--color-giallo) !important;
}

.padding-first {
    padding-top: 200px;
}

.allwhite {
    * {
        color: white !important;
        fill: white !important;
    }
}

.button {
    padding: 6px 24px;
    border-radius: var(--bs-border-radius-pill) !important;
    font-weight: 500;

    &.light {
        padding: 3px 12px;
    }

    &.white-outline {
        border: 1px solid white;
        color: white;
    }

    &.magenta-solid {
        border: 1px solid var(--color-magenta);
        background-color: var(--color-magenta);
        color: white;
    }

    &.azzurro-solid {
        border: 1px solid var(--color-azzurro);
        background-color: var(--color-azzurro);
        color: white;
    }

    &.azzurro-outline {
        border: 1px solid var(--color-azzurro);
        color: var(--color-azzurro);
    }
}

textarea, input:not(.azzurro-solid) {
    background: transparent !important;
    box-shadow: none !important;
}

/* PLUGIN MAPS */
#wpsl-search-input {
    width: 100% !important;
    border: none !important;
    box-shadow: none !important;
}

.wpsl-search {
    width: 100% !important;

    #wpsl-search-wrap {
        width: 100% !important;
        background-color: white;

        .wpsl-input {
            width: 100% !important;

            #wpsl-search-input {
                width: 100% !important;
            }
        }
    }

    #wpsl-search-btn {
        background-color: white;
        border: none;
        background-image: unset;
        box-shadow: none;
        color: black;
        margin: 0 !important;
        padding: 0 !important;
    }

    .wpsl-search-btn-wrap {
        margin: 0 !important;
        padding: 0 !important;
        background-color: white;
    }
}

.wpsl-infobox * {
    color: black;
}

/* HEADER */
#header {
    z-index: 999;

    .brand img {
        width: 250px;
    }

    .menu-item {
        color: var(--color-azzurro);
    }

    .owl-carousel .owl-item img {
        width: unset;
    }

    .owl-stage {
        display: flex;
        align-items: center;
    }
}

/* OFFCANVAS */
.offcanvas {
    .menu-item {
        color: white !important;
        font-weight: 500 !important;
        text-align: center;
        padding-bottom: 5px;
        border-bottom: 1px solid white;
    }
}

/* FOOTER */
#footer {
    color: white;

    p {
        font-weight: 400;
    }
}

.hero-frontpage {
    line-height: 80px !important;

    img {
        height: 690px;
        object-fit: cover;
    }

    .position-absolute {
        top: 50%;
        transform: translateY(-50%);
        left: 8%;

        p {
            font-size: 56px;
        }
    }
}

/* CONTACT FORM 7 */
.wpcf7-submit {
    font-weight: 700 !important;
}

.wpcf7-spinner {
    display: none !important;
}

.wpcf7-response-output {
    display: none !important;
}

.marquee-content {
    display: flex;
    width: max-content;
    animation: scroll-smooth 15s linear infinite;
}

.marquee-items {
    display: flex;
    gap: 3rem;
    flex-shrink: 0;
    align-items: center;
    padding-left: 3rem;
}

@keyframes scroll-smooth {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

.marquee-wrapper:hover .marquee-content {
    animation-play-state: paused;
}

.img-categoria {
    height: 130px;
    width: auto;
    max-width: 100%;
    object-fit: contain;
}

.pdf-wrapper {
    iframe {
        height: 700px !important;
    }
}

.df-ui-nav .df-ui-btn:before {
    color: var(--color-azzurro) !important;
    filter: none !important;
}

#menu-primary-menu-1 li:last-of-type,
#menu-primary-menu-1 li:nth-last-of-type(2) {
    border: none;
}

.list-group {
    max-height: 450px;
    overflow: auto;
}

.info-map {
    font-weight: 400;
}